/* navPages.css
   V0.1 2020-09-16 R Smyth
*/

html, body {
  background-color: #aaaaaa;
}

a.email {
  font-family: "Lucida Console", Courier, monospace;
}

.titleAndBody {
  display: grid;
  grid-template:
    "bar" auto
    "bod" 1fr / 1fr;
}

.titlebar {
  background-color: black;
  grid-area: bar;
  display: grid;
  grid-template:
    "arrow reload text" 1fr /auto auto 1fr;
  align-items: center;
}

.titlebarComplement {
  grid-area: bod;
  margin-left: 16px;
  margin-right: 16px;
  margin-bottom: 16px;
}

.backnav {
  grid-area: arrow;
  z-index: 3;
}

.reloadNav {
  grid-area: reload;
  z-index: 3;
}

.titletext {
  grid-area: text;
  color: #eee;
  background-color: black;
}

.linkThumbnail {
  width: 120px;
  height: 120px;
}

.navList {
  margin-left: 20px;
  tab-index="-1";
}

.navFig {
  display: inline-block;
  border: thin #000 solid;
  max-width: 120px;
  margin: 0;
}

.navFig:hover {
  outline: medium #44abda solid;
}

.navFig:focus {
  border: thin #44abda dashed;
}

.figLinkShell {
  display: inline-block;
  margin-left: 0px;
  margin-right: 0px;
}

.figLink {
  margin: 0;
  padding: 0;
  border: 0;
  text-decoration: none;
}

.navCap {
  color: #fff;
  background: #000;
  font: x-small sans-serif;
  text-align: center;
  tabindex="-1";
}

.dropdown {
  position: relative;
  display: inline-block;
}

.dropdown-content {
  display: none;
  position: absolute;
  top: 100%;
  left: 50%;
  background-color: rgba(0,0,0,0.8);
  text-align: center;
  z-index: 1;
  width: 120px;
  margin-left: -60px;
  border-radius: 3px;
  padding: 2px 0 2px 0;
}

.dropdown-content a {
  color: #fff;
  text-decoration: none;
  display: block;
  padding: 2px 0 2px 0;
}
  
.dropdown-content a:hover {
  color: #fff;
  padding: 2px 0 2px 0;
  background-color: #888;
}

.dropdown:hover .dropdown-content {
  display: block;
}

.tooltip {
  position: relative;
  display: inline-block;
}

.tooltip .tooltiptext {
  visibility: hidden;
  width: 124px;
  background-color: rgba(0,0,0,0.8);
  color: #fff;
  text-align: center;
  border-radius: 3px;
  padding: 2px 0;

  position: absolute;
  z-index: 1;
  bottom: 103%;
  left: 50%;
  margin-left: -62px;
}

.tooltip:hover .tooltiptext {
  visibility: visible;
}
